package com.sv.mapper;

import com.sv.entity.VenueLessonImage;

import java.util.List;

/**
 * Mapper - 场馆课程图片
 *
 * @author lihong
 * @since 2018-08-06
 */
public interface VenueLessonImageMapper {

    /**
     * 新建场馆课程图片
     *
     * @param venueLessonImage 场馆课程图片
     */
    void insert(VenueLessonImage venueLessonImage);

    /**
     * 更新场馆课程图片
     *
     * @param venueLessonImage 场馆课程图片
     */
    void update(VenueLessonImage venueLessonImage);

    /**
     * 删除场馆课程图片
     *
     * @param id 编号
     * @return 删除数量
     */
    int delete(Integer id);

    /**
     * 删除场馆课程图片
     *
     * @param ids 编号数组
     * @return 删除数量
     */
    int deleteByIds(Integer[] ids);

    /**
     * 查询场馆课程图片
     *
     * @param id 编号
     * @return 场馆课程图片
     */
    VenueLessonImage findById(Integer id);

    /**
     * 查询场馆课程图片
     *
     * @return 场馆课程图片集合
     */
    List<VenueLessonImage> findAll();

    /**
     * api 查询课程对应的图片
     */
    List<VenueLessonImage> findByLessonId(Integer lessonId);

    /**
     * api 根据课程ID查找图片
     */
    String findByLesson(Integer lessonId);
}